/**
 ** File:   dialingI.h
 ** Date:   Sun Oct 15 1995
 ** Author: Merijn de Jonge
 ** Email:  mdejonge@fwi.uva.nl
 **
 ** This file is part of the modem communication package.
 **
 ** Copyright (C) 1995 Merijn de Jonge.
 **
 ** THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
 ** WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 ** MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 ** 
 ** Redistribution and use in source and binary forms are permitted provided
 ** that: (1) source distributions retain this entire copyright notice and
 ** comment, and (2) distributions may not be sold for profit on physical
 ** media such as disks, tapes, and CD-ROMS, without expressed written
 ** permission.
 ** 
 **/
#ifndef _dialingI_h
#define _dialingI_h

#include <time.h>

typedef struct
{
   time_t timeout;
   char* number;
   void (*cancelCallback)();
   void (*timeoutCallback)();
	void (*retryCallback)();
} dialingDialogInfoRec;


Widget dialingDialogCreate( Widget parent );
void   dialingDialogInit( dialingDialogInfoRec* info );
void   dialingDialogPopup();
void   dialingDialogPopdown();

#endif

/* EOF dialingI.h */
