/**
 ** File:   interface.c
 ** Date:   Sun Oct 15 1995
 ** Author: Merijn de Jonge
 ** Email:  mdejonge@fwi.uva.nl
 **
 ** This file is part of the modem communication package.
 **
 ** Copyright (C) 1995 Merijn de Jonge.
 **
 ** THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
 ** WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 ** MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 ** 
 ** Redistribution and use in source and binary forms are permitted provided
 ** that: (1) source distributions retain this entire copyright notice and
 ** comment, and (2) distributions may not be sold for profit on physical
 ** media such as disks, tapes, and CD-ROMS, without expressed written
 ** permission.
 ** 
 **/
#include <X11/Intrinsic.h>
#include <Xm/Display.h>

XtAppContext __app;
Display*     __dpy;
Widget       __toplevel;

Widget interfaceCreate( int* argc, char* argv[], const char* appName )
{
	Widget d;
	
	__toplevel = XtVaAppInitialize(
		&__app, appName, NULL, 0,
		argc, argv,
		NULL,
		NULL
	);
	d = XmGetXmDisplay(XtDisplay(__toplevel));
	XtVaSetValues(d, XmNdragInitiatorProtocolStyle, XmDRAG_NONE, NULL);
	XtVaSetValues(d, XmNdragReceiverProtocolStyle,  XmDRAG_NONE, NULL);
	
	__dpy = XtDisplay( __toplevel );
	return __toplevel;
}

void interfaceRun()
{
	XtAppMainLoop( __app );
}
/* EOF interface.c */
