/**
 ** File:   loginMsgI.h
 ** Date:   Sun Oct 15 1995
 ** Author: Merijn de Jonge
 ** Email:  mdejonge@fwi.uva.nl
 **
 ** This file is part of the modem communication package.
 **
 ** Copyright (C) 1995 Merijn de Jonge.
 **
 ** THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
 ** WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 ** MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 ** 
 ** Redistribution and use in source and binary forms are permitted provided
 ** that: (1) source distributions retain this entire copyright notice and
 ** comment, and (2) distributions may not be sold for profit on physical
 ** media such as disks, tapes, and CD-ROMS, without expressed written
 ** permission.
 ** 
 **/
#ifndef _loginMsgI_h
#define _loginMsgI_h

#include <time.h>

typedef struct
{
   time_t timeout;
   char* user;
   void (*cancelCallback)();
   void (*timeoutCallback)();
} loginMsgDialogInfoRec;


Widget loginMsgDialogCreate( Widget parent );
void   loginMsgDialogInit( loginMsgDialogInfoRec* info );
void   loginMsgDialogPopup();
void   loginMsgDialogPopdown();

#endif

/* EOF loginMsgI.h */
