/**
 ** File:   xmio.c
 ** Date:   Sun Oct 15 1995
 ** Author: Merijn de Jonge
 ** Email:  mdejonge@fwi.uva.nl
 **
 ** This file is part of the modem communication package.
 **
 ** Copyright (C) 1995 Merijn de Jonge.
 **
 ** THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
 ** WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 ** MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 ** 
 ** Redistribution and use in source and binary forms are permitted provided
 ** that: (1) source distributions retain this entire copyright notice and
 ** comment, and (2) distributions may not be sold for profit on physical
 ** media such as disks, tapes, and CD-ROMS, without expressed written
 ** permission.
 ** 
 **/
/*
 * Implementation of sequential read in X-based programs
 *
 * Like notify_do_dispatch in XView
 *
 */
#include <stdio.h>
#include <sys/time.h>
#include <sys/types.h>
#include <unistd.h>

#include "libdialogs.h" /* for AppContext */
              
              
#include <sys/ioctl.h>

static int Ready( int fd )
{
	fd_set fds;
	int result;
	struct timeval tv;
	
	tv.tv_sec = 0;
	tv.tv_usec = 5;

	
	FD_ZERO( &fds );
	FD_SET( fd, &fds );

	result = select( FD_SETSIZE, &fds, NULL, NULL, &tv );
	if( result == 0 )
		return 0;
	else
		return 1;
	return result;
/*

	int bytes;
	if( ioctl(fd, FIONREAD, &bytes ) == -1 )
		return 0;
	return bytes;
*/
}

ssize_t read __P ((int __fd, __ptr_t __buf, size_t __nbytes))
{
	do
	{
		if( XtAppPending( AppContext ) )
		{
			XtAppProcessEvent( AppContext, XtIMAll );
		}
		else
			if( Ready( __fd ) )
				return __read( __fd, __buf, __nbytes );

  	} while(1);
}


/* EOF xmio.c */
