/**
 ** File:   modem.h
 ** Date:   Sun Oct 15 1995
 ** Author: Merijn de Jonge
 ** Email:  mdejonge@fwi.uva.nl
 **
 ** This file is part of the modem communication package.
 **
 ** Copyright (C) 1995 Merijn de Jonge.
 **
 ** THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
 ** WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 ** MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 ** 
 ** Redistribution and use in source and binary forms are permitted provided
 ** that: (1) source distributions retain this entire copyright notice and
 ** comment, and (2) distributions may not be sold for profit on physical
 ** media such as disks, tapes, and CD-ROMS, without expressed written
 ** permission.
 ** 
 **/
#ifndef _modem_h
#define _modem_h

#include <stddef.h>

typedef struct 
{
	char AT_ATTN[40];
	char AT_RSET[40];
	char AT_INIT[40];
	char AT_DIAL[40];
	char AT_HANGUP[40];
} modem_commands;

typedef int (*modemReadFuncPtr)(int, void*, size_t );
typedef int (*modemWriteFuncPtr) (int, const void*, size_t );
void setModemReadFunc( modemReadFuncPtr );
void setModemWriteFunc( modemWriteFuncPtr );

int modemRead( int, void*, size_t );
int modemWrite( int, void*, size_t );


/* Dial phone number */
int mdm_dial(int fd, char *number);

int mdm_hangup( int fd );


/* reset modem */
int mdm_reset(int fd );

void mdm_set_commands( modem_commands* );

#endif

/* EOF modem.h */
