/**
 ** File:   libphonebook.c
 ** Date:   Sun Oct 15 1995
 ** Author: Merijn de Jonge
 ** Email:  mdejonge@fwi.uva.nl
 **
 ** This file is part of the modem communication package.
 **
 ** Copyright (C) 1995 Merijn de Jonge.
 **
 ** THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
 ** WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 ** MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 ** 
 ** Redistribution and use in source and binary forms are permitted provided
 ** that: (1) source distributions retain this entire copyright notice and
 ** comment, and (2) distributions may not be sold for profit on physical
 ** media such as disks, tapes, and CD-ROMS, without expressed written
 ** permission.
 ** 
 **/
#include <string.h>
#include <stdio.h>
#include <stdlib.h>

#include "libphonebook.h"
#include "tilde_expand.h"

   

phonebook* phonebookOpen( char* name )
{
	char path[__MAX_HOME_LEN__];

	if( pathEval( path, name ) < 0 )
		return NULL;

	return (phonebook*)open_conf( path );
}

void phonebookClose(  phonebook* book )
{
	if( book == NULL )
		return;
	close_conf( book );
}

phonebook_entry* phonebookGetEntryByName( phonebook* book, char* name )
{
	return (phonebook_entry*)
		goto_group( book, name );
}


phonebook_entry* phonebookGetFirstEntry( phonebook* book )
{
	return (phonebook_entry*)
		goto_first_group( book );
}

phonebook_entry* phonebookGetNextEntry( phonebook* book )
{
	return (phonebook_entry*)
		goto_next_group( book );
}

char* phonebookGetValue( phonebook* book, phonebook_entry* entry, char* item)
{
	return get_str( book, group_name( entry ), item, NULL );
}


/* EOF libphonebook.c */
