/**
 ** File:   libphonebook.h
 ** Date:   Sun Oct 15 1995
 ** Author: Merijn de Jonge
 ** Email:  mdejonge@fwi.uva.nl
 **
 ** This file is part of the modem communication package.
 **
 ** Copyright (C) 1995 Merijn de Jonge.
 **
 ** THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
 ** WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 ** MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 ** 
 ** Redistribution and use in source and binary forms are permitted provided
 ** that: (1) source distributions retain this entire copyright notice and
 ** comment, and (2) distributions may not be sold for profit on physical
 ** media such as disks, tapes, and CD-ROMS, without expressed written
 ** permission.
 ** 
 **/
#ifndef _libphonebook_h
#define _libphonebook_h

#include <libconf/libconf.h>


#define NUMBER		"number"
#define LOGIN		"login"
#define PASSWORD	"password"
#define TYPE		"type"

typedef conf_file phonebook;
typedef grp phonebook_entry;

phonebook* phonebookOpen( char* phonebook );
void phonebookClose(  phonebook* );

/* return phonebook_entry with name "name" */
phonebook_entry* phonebookGetEntryByName( phonebook*, char* name );
phonebook_entry* phonebookGetFirstEntry( phonebook* );
phonebook_entry* phonebookGetNextEntry( phonebook* );

char* phonebookGetValue( phonebook*, phonebook_entry*, char* );

#define   numberValue( pb, pe ) phonebookGetValue( pb, pe, NUMBER );
#define    loginValue( pb, pe ) phonebookGetValue( pb, pe, LOGIN );
#define passwordValue( pb, pe ) phonebookGetValue( pb, pe, PASSWORD );
#define     typeValue( pb, pe ) phonebookGetValue( pb, pe, TYPE );


#endif
/* EOF libphonebook.h */
