/**
 ** File:   libprotocol.h
 ** Date:   Sun Oct 15 1995
 ** Author: Merijn de Jonge
 ** Email:  mdejonge@fwi.uva.nl
 **
 ** This file is part of the modem communication package.
 **
 ** Copyright (C) 1995 Merijn de Jonge.
 **
 ** THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
 ** WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 ** MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 ** 
 ** Redistribution and use in source and binary forms are permitted provided
 ** that: (1) source distributions retain this entire copyright notice and
 ** comment, and (2) distributions may not be sold for profit on physical
 ** media such as disks, tapes, and CD-ROMS, without expressed written
 ** permission.
 ** 
 **/
#ifndef _libprotocol_h
#define _libprotocol_h

#include <stddef.h>

typedef void (*protErrorFuncPtr)(const char*);

protErrorFuncPtr getProtErrorFunc();
void setProtErrorFunc( protErrorFuncPtr );

int protSend( int fd, const void* data, size_t length );
int protSendError( int fd, const void* data, size_t length );
int protReceive( int fd, void* data, size_t length );

#endif

/* EOF libprotocol.h */
