/**
 ** File:   pty.c
 ** Date:   Sun Oct 15 1995
 ** Author: Merijn de Jonge
 ** Email:  mdejonge@fwi.uva.nl
 **
 ** This file is part of the modem communication package.
 **
 ** Copyright (C) 1995 Merijn de Jonge.
 **
 ** THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
 ** WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 ** MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 ** 
 ** Redistribution and use in source and binary forms are permitted provided
 ** that: (1) source distributions retain this entire copyright notice and
 ** comment, and (2) distributions may not be sold for profit on physical
 ** media such as disks, tapes, and CD-ROMS, without expressed written
 ** permission.
 ** 
 **/
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/fcntl.h>
#include <sys/ioctl.h>
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>

#include "libtty.h"

int openPty( int* master, int*slave )
{
	char* s = NULL;
	char* t = NULL;
	char buf[16];
			
	for( s = "pqrs"; *s != '\0'; s++ )
	{
		for( t = "0123456789abcdef"; *t != '\0'; t++ )
		{
			sprintf( buf, "/dev/pty%c%c", *s, *t );
			*master = open( buf, O_RDWR );
			if( *master >= 0 )
				goto out;
		}
	}

out:

	if( (*s == '\0') && (*t == '\0' ) )
		return -1;
		
	buf[5] = 't';

	*slave = open( buf, O_RDWR );
	if( *slave < 0 )
	{
		close( *master );
		return -1;
	}
	
	if( ttySetRaw( *master ) < 0 ||
		 ttySetRaw( *slave ) < 0 )
	{
		close( *master );
		close( *slave );
		return -1;
	}
	setenv( MODEM_ENV_VAR, buf, 1 );
	return 0;
}

/* EOF pty.c */
