/**
 ** File:   ttyfuncs.h
 ** Date:   Sun Oct 15 1995
 ** Author: Merijn de Jonge
 ** Email:  mdejonge@fwi.uva.nl
 **
 ** This file is part of the modem communication package.
 **
 ** Copyright (C) 1995 Merijn de Jonge.
 **
 ** THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
 ** WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 ** MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 ** 
 ** Redistribution and use in source and binary forms are permitted provided
 ** that: (1) source distributions retain this entire copyright notice and
 ** comment, and (2) distributions may not be sold for profit on physical
 ** media such as disks, tapes, and CD-ROMS, without expressed written
 ** permission.
 ** 
 **/
#ifndef _ttyfuncs_h
#define _ttyfuncs_h

#include <termios.h>
#include "libtty.h"


int	tty_set_raw(struct termios *tty);
int  tty_askfd(void);  
int  tty_databits(char *bits); 
int  tty_stopbits(char *bits); 
int  tty_parity(char *type);   
int  tty_speed(char *speed);   
int  hanguptty(void);
int  tty_flush(int);
int  tty_close(void);
int  tty_open(char *name);
char*	lock_file_name( char* );
char* make_path( char* );
int tty_already_locked( char* );
char*	tty_device_name();
#endif
/* EOF ttyfuncs.h */
