/**
 ** File:   modem_defs.h
 ** Date:   Sun Oct 15 1995
 ** Author: Merijn de Jonge
 ** Email:  mdejonge@fwi.uva.nl
 **
 ** This file is part of the modem communication package.
 **
 ** Copyright (C) 1995 Merijn de Jonge.
 **
 ** THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
 ** WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 ** MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 ** 
 ** Redistribution and use in source and binary forms are permitted provided
 ** that: (1) source distributions retain this entire copyright notice and
 ** comment, and (2) distributions may not be sold for profit on physical
 ** media such as disks, tapes, and CD-ROMS, without expressed written
 ** permission.
 ** 
 **/
#ifndef _modem_defs_h
#define _modem_defs_h

/* Section Communication*/
#define TCP_DEFAULT_PORT      12345
#define TCP_SERVICE           "modemd"
#define UDP_DEFAULT_PORT      12345
#define UDP_SERVICE           "modemd"
#define BROADCAST_ADDR        "192.72.1.255"
#define BROADCAST_TIMEOUT     5
#define CLIENT_TIMEOUT        (5*60)

/* Section Server */
#define SERVER_DIR            "/var/adm/modemd"
#define ACCESS_LOG_FILE       "./access_log"
#define ERROR_LOG_FILE        "./error_log"
#define ACCOUNT_LOG_FILE      "./account_log"
#define SERVER_LOCK_FILE      "./modemd.pid"
#define VERIFY_USER           "/usr/etc/verify_user"
#define SERVER_UMASK          0117

/* Section Modem */
#define MODEM_CONF_FILE       "/etc/modems"
#define MODEM_COMMAND         "/public/lib/modemd/modem_commands"
#define MODEM_ENV_VAR         "MODEM"
#define DEF_MODEM_TYPE        "hayes"
#define ATTN                  "+++"
#define RSET                  "ATZ"
#define INIT                  "ATE0 Q0 V1 X4"
#define DIAL                  "ATD"
#define HANGUP                "ATH"

/* Section Modem locking: */
#define _PATH_LOCKD           "/var/lock"
#define _UID_UUCP             "uucp"

/* Section Personal settings: */
#define PHONEBOOK             "~/.phonebook"

#endif

/* EOF modem_defs.h */
