/**
 ** File:   slave.c
 ** Date:   Sun Oct 15 1995
 ** Author: Merijn de Jonge
 ** Email:  mdejonge@fwi.uva.nl
 **
 ** This file is part of the modem communication package.
 **
 ** Copyright (C) 1995 Merijn de Jonge.
 **
 ** THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
 ** WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 ** MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 ** 
 ** Redistribution and use in source and binary forms are permitted provided
 ** that: (1) source distributions retain this entire copyright notice and
 ** comment, and (2) distributions may not be sold for profit on physical
 ** media such as disks, tapes, and CD-ROMS, without expressed written
 ** permission.
 ** 
 **/
#include <unistd.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <stdio.h>
#include <sys/time.h>

#include <liberror/liberror.h>
#include <libtty/libtty.h>
 
	
void main( int argc, char* argv[] )
{
	int f;
	fd_set io;
	char buf[512];
	int b;
	int i;
	int j;
	int nfsd;
	
	f = open( getenv("MODEM"), O_RDWR );
	ttySetRaw( 0 );


	while(1)
	{
		FD_ZERO( &io );
		FD_SET( f, &io );
		FD_SET( 0, &io );
		nfsd = select( FD_SETSIZE, &io, NULL, NULL, NULL );

		if( nfsd < 0 )
		{
			error( "select: %m" );
			exit( 1 );		
		}
		if( nfsd > 0 )
		for( i = 0; i < FD_SETSIZE; i++ )
		if( FD_ISSET( i, &io ) )
		{
			if( i == 0 )
				j = f;
			else
				j = 2;
			b = read( i, buf, sizeof(buf));
         if( b <= 0 )
         {
         	error( "read: %m" );
         	exit( 1 );
         }

			b = write( j, buf, b );
			if( b < 0 )
			{
				error( "write: %m" );
				exit( 1 );
			}
			if( b == 0 )
				exit( 0 ); /* eof */
		}
	}
}
/* EOF slave.c */
